# MessageKeys (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, enum: MessageKeys

Package co.aikar.commands

# Enum MessageKeys

java.lang.Object
java.lang.Enum<MessageKeys>
co.aikar.commands.MessageKeys

All Implemented Interfaces:
  `co.aikar.locales.MessageKeyProvider`, `Serializable`, `Comparable<MessageKeys>`, `java.lang.constant.Constable`

public enum MessageKeys extends Enum<MessageKeys> implements co.aikar.locales.MessageKeyProvider
Enum Name = MessageKey in lowercase prefixed with acf-core.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COULD_NOT_FIND_PLAYER`
`ERROR_GENERIC_LOGGED`
`ERROR_PERFORMING_COMMAND`
`ERROR_PREFIX`
`HELP_DETAILED_COMMAND_FORMAT`
`HELP_DETAILED_HEADER`
`HELP_DETAILED_PARAMETER_FORMAT`
`HELP_FORMAT`
`HELP_HEADER`
`HELP_NO_RESULTS`
`HELP_PAGE_INFORMATION`
`HELP_SEARCH_HEADER`
`INFO_MESSAGE`
`INVALID_SYNTAX`
`MUST_BE_A_NUMBER`
`MUST_BE_MAX_LENGTH`
`MUST_BE_MIN_LENGTH`
`NO_COMMAND_MATCHED_SEARCH`
`NOT_ALLOWED_ON_CONSOLE`
`PERMISSION_DENIED`
`PERMISSION_DENIED_PARAMETER`
`PLEASE_SPECIFY_AT_LEAST`
`PLEASE_SPECIFY_AT_MOST`
`PLEASE_SPECIFY_ONE_OF`
`UNKNOWN_COMMAND`

## Method Summary

Modifier and Type
Method
Description
`co.aikar.locales.MessageKey`
`getMessageKey()`
`static MessageKeys`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MessageKeys[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERMISSION_DENIED

public static final MessageKeys PERMISSION_DENIED

### PERMISSION_DENIED_PARAMETER

public static final MessageKeys PERMISSION_DENIED_PARAMETER

### ERROR_GENERIC_LOGGED

public static final MessageKeys ERROR_GENERIC_LOGGED

### UNKNOWN_COMMAND

public static final MessageKeys UNKNOWN_COMMAND

### INVALID_SYNTAX

public static final MessageKeys INVALID_SYNTAX

### ERROR_PREFIX

public static final MessageKeys ERROR_PREFIX

### ERROR_PERFORMING_COMMAND

public static final MessageKeys ERROR_PERFORMING_COMMAND

### INFO_MESSAGE

public static final MessageKeys INFO_MESSAGE

### PLEASE_SPECIFY_ONE_OF

public static final MessageKeys PLEASE_SPECIFY_ONE_OF

### MUST_BE_A_NUMBER

public static final MessageKeys MUST_BE_A_NUMBER

### MUST_BE_MIN_LENGTH

public static final MessageKeys MUST_BE_MIN_LENGTH

### MUST_BE_MAX_LENGTH

public static final MessageKeys MUST_BE_MAX_LENGTH

### PLEASE_SPECIFY_AT_LEAST

public static final MessageKeys PLEASE_SPECIFY_AT_LEAST

### PLEASE_SPECIFY_AT_MOST

public static final MessageKeys PLEASE_SPECIFY_AT_MOST

### NOT_ALLOWED_ON_CONSOLE

public static final MessageKeys NOT_ALLOWED_ON_CONSOLE

### COULD_NOT_FIND_PLAYER

public static final MessageKeys COULD_NOT_FIND_PLAYER

### NO_COMMAND_MATCHED_SEARCH

public static final MessageKeys NO_COMMAND_MATCHED_SEARCH

### HELP_PAGE_INFORMATION

public static final MessageKeys HELP_PAGE_INFORMATION

### HELP_NO_RESULTS

public static final MessageKeys HELP_NO_RESULTS

### HELP_HEADER

public static final MessageKeys HELP_HEADER

### HELP_FORMAT

public static final MessageKeys HELP_FORMAT

### HELP_DETAILED_HEADER

public static final MessageKeys HELP_DETAILED_HEADER

### HELP_DETAILED_COMMAND_FORMAT

public static final MessageKeys HELP_DETAILED_COMMAND_FORMAT

### HELP_DETAILED_PARAMETER_FORMAT

public static final MessageKeys HELP_DETAILED_PARAMETER_FORMAT

### HELP_SEARCH_HEADER

public static final MessageKeys HELP_SEARCH_HEADER

## Method Details

### values

public static MessageKeys[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MessageKeys valueOf (String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMessageKey

public co.aikar.locales.MessageKey getMessageKey()

Specified by:
  `getMessageKey` in interface `co.aikar.locales.MessageKeyProvider`